Bug 152750 - CAN-2004-0633,0634,0635-Multiple problems in Ethereal 0.10.4 (again)
CAN-2004-0633,0634,0635-Multiple problems in Ethereal 0.10.4 (again)
Status: CLOSED CURRENTRELEASE
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.ethereal.com/appnotes/enpa...
LEGACY, rh73, rh90
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 12:21 EDT by Marc Deslauriers
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:26:08 EST
Issues have been discovered in the following protocol dissectors:
* The iSNS dissector could make Ethereal abort in some cases. (0.10.3 - 0.10.4)
* SMB SID snooping could crash if there was no policy name for a handle. (0.9.15
- 0.10.4)
* The SNMP dissector could crash due to a malformed or missing community string.
(0.8.15 - 0.10.4)

More info:
http://www.ethereal.com/appnotes/enpa-sa-00015.html
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127381

NOT the same issues as bug 1419



------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-08 14:34:39 ----

Created an attachment (id=762)
Backported security patch for 0.10.3

Here is a packported patch for Ethereal 0.10.3.
Can someone give it a look?

I'm building rpms now.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-07-08 15:21:31 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here are packages for 7.3 and 9:

Changelog:
* Thu Jul 08 2004 Marc Deslauriers <marcdeslauriers@videotron.ca>
0.10.3-0.90.4.legacy
- - Included backported security fixes from ethereal-0.10.5
  (CAN-2004-0633, CAN-2004-0634, CAN-2004-0635)

7.3:
26076859b308ff0d80e5183b1519e765afd71baf  ethereal-0.10.3-0.73.3.legacy.i386.rpm
81083eba02442c8c5d1ec3014d9d25f7ed41569a  ethereal-0.10.3-0.73.3.legacy.src.rpm
84542bce0a2929a93224040fbe7b1500a3275005 
ethereal-gnome-0.10.3-0.73.3.legacy.i386.rpm

9:
3a468a44bbf38a9509e6d78a0b6332673c25b717  ethereal-0.10.3-0.90.4.legacy.i386.rpm
71d94c236dbff09ebb81fd1781874d81088c9157  ethereal-0.10.3-0.90.4.legacy.src.rpm
432635500f31eb680c814ed40c4870f6863ef8d9 
ethereal-gnome-0.10.3-0.90.4.legacy.i386.rpm

http://www.infostrategique.com/linuxrpms/legacy/7.3/ethereal-0.10.3-0.73.3.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/7.3/ethereal-0.10.3-0.73.3.legacy.src.rpm
http://www.infostrategique.com/linuxrpms/legacy/7.3/ethereal-gnome-0.10.3-0.73.3.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/ethereal-0.10.3-0.90.4.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/ethereal-0.10.3-0.90.4.legacy.src.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/ethereal-gnome-0.10.3-0.90.4.legacy.i386.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA7fMOLMAs/0C4zNoRAia4AKCg3iDNTgHGsnV/aDbOtmlB67alIQCguexu
I74ggkA1McuaBgfxzcaz8mM=
=tm7q
-----END PGP SIGNATURE-----




------- Additional Comments From ckelley@ibnads.com 2004-08-31 10:47:07 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
Signature checks look good:
 
- From the RPM:
165c7d4846b5d7f0d5527b471e590f44491d1ed5  ethereal-0.10.3-CAN-2004-0633to0635.patch
712563f9e62f9cb66e8c4e691e7b6b090948d6c0  ethereal-0.10.3-security.patch
f70def9be75d7232cf40635a6b455b583d54cb8f  ethereal-0.10.3.tar.bz2
6d39e99ff4928f53c476cd4a939f69aa2acfac1f  ethereal-gnome1.2.tar.bz2
59da6851be702718dd9f5dc19d41a063f8ff1561  ethereal-kde2.tar.bz2
22610c4e6c2edfd6c7d1ac741897bd44af12da4c  ethereal-usermode.tar.bz2
2baa826739b9060ea184e4e980dcc031b0a4c888  ethereal.wmconfig
 
- From the source:
f70def9be75d7232cf40635a6b455b583d54cb8f  ethereal-0.10.3.tar.bz2
 
Everything builds fine under 7.3; The SNMP patch looks good; I'm not
sure about the large "ethereal-0.10.3-security.patch; it's not in
FC2's srcrpm.  I couldn't get any of the exploits to work against
ethereal-0.9.16-0.73.2.legacy, and they continue to not function
against this build.  I believe that most of the exploits in the wild
target newer Redhat systems and Gentoo.
 
The various desktop patches are all fine.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBNOO7yQ+yTHz+jJkRArezAKC2AQf69gUf3WF00siD1QmYzSYOYwCeJkWS
NgQTK/DD8TZXOrSGT/4rNaM=
=zLZF
-----END PGP SIGNATURE-----




------- Additional Comments From dwb7@ccmr.cornell.edu 2004-08-31 12:03:20 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Using the following SRPM:
81083eba02442c8c5d1ec3014d9d25f7ed41569a *ethereal-0.10.3-0.73.3.legacy.src.rpm

builds ok
built rpms install ok
patch looks ok
ethereal functions normally

PUBLISH
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFBNPVWSY7s7uPf/IURAgEQAKDYumGymhLUJevW6D/NTWtZarvsZACfaXVf
3EJnakJp2EcVhxdgwoMY9X0=
=Fci0
-----END PGP SIGNATURE-----



------- Additional Comments From ckelley@ibnads.com 2004-09-01 11:11:55 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
 
81083eba02442c8c5d1ec3014d9d25f7ed41569a ethereal-0.10.3-0.73.3.legacy.src.rpm
 
This looks good to PUBLISH (sorry, forgot to mention that)
 
 
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBNjsKyQ+yTHz+jJkRAvVTAKCvEPEqG8M7dY0zBhj7yYqVeTJK3wCeJDj8
j/3YdIAPTFCRE0ZGtCLhgN8=
=dtK/
-----END PGP SIGNATURE-----




------- Additional Comments From mule@umich.edu 2004-09-12 05:28:33 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
3a468a44bbf38a9509e6d78a0b6332673c25b717 
ethereal-0.10.3-0.90.4.legacy.i386.rpm71d94c236dbff09ebb81fd1781874d81088c9157 
ethereal-0.10.3-0.90.4.legacy.src.rpm
432635500f31eb680c814ed40c4870f6863ef8d9 
ethereal-gnome-0.10.3-0.90.4.legacy.i386.rpm
 
For Red Hat 9:
* Checked out spec file - OK
* Checked out ethereal-0.10.3-security.patch - OK
* Checked out patch for CAN-2004-0633, CAN-2004-0634, CAN-2004-0635 - OK
* Build from source - OK
* Install - OK
 
PUBLISH
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
 
iD8DBQFBRGpfTsaUa9pp4VIRAiRNAJ9fxlYfLUtuXSvUjQhB7fSyPFVivACgr5P2
2av5sTTerabPxqnszpOUXfQ=
=X8W4
-----END PGP SIGNATURE-----




------- Additional Comments From mule@umich.edu 2004-09-12 05:32:54 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
3a468a44bbf38a9509e6d78a0b6332673c25b717  ethereal-0.10.3-0.90.4.legacy.i386.rpm
71d94c236dbff09ebb81fd1781874d81088c9157  ethereal-0.10.3-0.90.4.legacy.src.rpm
432635500f31eb680c814ed40c4870f6863ef8d9 
ethereal-gnome-0.10.3-0.90.4.legacy.i386.rpm
 
[reposted because of possible cut-'n'-paste error in PGP signed message in
comment #6]
 
For Red Hat 9:
* Checked out spec file - OK
* Checked out ethereal-0.10.3-security.patch - OK
* Checked out patch for CAN-2004-0633, CAN-2004-0634, CAN-2004-0635 - OK
* Build from source - OK
* Install - OK
  
PUBLISH
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
 
iD8DBQFBRGwGTsaUa9pp4VIRAoT8AKDZnTNdU3Tr/XYbiiKbW+zPS/0rwgCgzWMK
V/8aom8VszbvlERFo3txTY8=
=8QIV
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-17 11:46:06 ----

Created an attachment (id=848)
Advisory draft text

Here is draft text for the advisory



------- Additional Comments From sheltren@cs.ucsb.edu 2004-09-29 08:32:39 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

QA for RH 9 packages from updates-testing:
ethereal-0.10.3-0.90.4.legacy.i386.rpm:
    Header V3 DSA signature: OK, key ID 731002fa
    Header SHA1 digest: OK (ac6b59a55969e2e0718361bf6711def31a9be5c2)
    MD5 digest: OK (a47bd317b63fd83d3345da4553f4f65c)
    V3 DSA signature: OK, key ID 731002fa
ethereal-gnome-0.10.3-0.90.4.legacy.i386.rpm:
    Header V3 DSA signature: OK, key ID 731002fa
    Header SHA1 digest: OK (6268725d20ee3c5e014678b52497d92796313e7b)
    MD5 digest: OK (356a1dc82be5a89902b4aabd7c4bfe9e)
    V3 DSA signature: OK, key ID 731002fa

Packages install cleanly
Ran ethereal and captured packets - seems to be working fine (including GUI)

VERIFY++ - Looks good for moving into updates
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBWv+eKe7MLJjUbNMRAvpvAJ0S8l6H2wBsSV6ylSHI/J0pFEkJBwCfdpmF
8HTETz6j8KF4wNPWNMqGX88=
=sPiK
-----END PGP SIGNATURE-----



------- Additional Comments From ckelley@ibnads.com 2004-09-29 11:52:20 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
Source:
33c5ea5e2cabcd186aace74b9679a07c950d0d89  ethereal-0.10.3-0.73.3.legacy.src.rpm
 
Binary:
9dea4bd2d8a8efce8722e7891a8b211ece731645  ethereal-0.10.3-0.73.3.legacy.i386.rpm
f3defe29af6aceec7df646a0a49d8654823796e1 
ethereal-gnome-0.10.3-0.73.3.legacy.i386.rpm
 
ethereal and tethereal function properly, and the published exploits
that I'm aware of still fail to trigger an exploit.
 
++VERIFY
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBWy6HyQ+yTHz+jJkRAsWdAJ4uQhZ1BZKR6wjk/GamQYupQtt7LQCfVsX0
PvUKUMEqzqBm7bAICdaGSGU=
=Q5nG
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-29 12:10:18 ----

2 verifies, pushed to updates.




------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:26 -------

This bug previously known as bug 1840 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1840
Originally filed under the Fedora Legacy product and Package request component.

Attachments:
Backported security patch for 0.10.3
https://bugzilla.fedora.us/attachment.cgi?action=view&id=762
Advisory draft text
https://bugzilla.fedora.us/attachment.cgi?action=view&id=848

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.